> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Types



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/einvoice/resources/invoices-types
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/resources/invoices-types:
    get:
      tags:
        - Resources
      summary: Get Invoice Types
      responses:
        '200':
          description: Get Invoice Types (JSON)
          content:
            application/json:
              example:
                code: 200
                data:
                  - code: '380'
                    value: Credit Note
                  - code: '381'
                    value: Commercial Invoice
                  - code: '384'
                    value: Debit Note
                  - code: '385'
                    value: Self Billed Invoice
                  - code: '386'
                    value: Factored Invoice
                  - code: '388'
                    value: Statement of Account
                  - code: '389'
                    value: Purchase Order
                  - code: '390'
                    value: Proforma Invoice
                  - code: '392'
                    value: Consignment Invoice
                  - code: '393'
                    value: Self-billed Credit Note
                  - code: '394'
                    value: Self-billed Invoice
                  - code: '395'
                    value: Credit Note Request
                  - code: '396'
                    value: Invoice Request
                  - code: '397'
                    value: Final Settlement
                  - code: '399'
                    value: Bill of Lading
                  - code: '400'
                    value: Waybill
                  - code: '402'
                    value: Shipping Instructions
                  - code: '404'
                    value: Certificate of Origin
                  - code: '406'
                    value: Customs Declaration
                  - code: '408'
                    value: Packing List
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
        '404':
          description: Get Invoice Types (Error)
          content:
            application/json:
              example:
                code: 404
                data: null
                message: >-
                  no route found for this path. kindly check your request and
                  try again
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````